{{ if .Values.consoleOperatorConfiguration }}
apiVersion: operator.openshift.io/v1
kind: Console
metadata:
  name: cluster
  annotations:
    # If ArgoCD stops managing this resource, it should not delete it (it's required for a functional cluster)
    argocd.argoproj.io/sync-options: Prune=false
spec:
{{ .Values.consoleOperatorConfiguration | toYaml | indent 2 }}
{{ end }}

---

{{ if .Values.consoleConfig }}
apiVersion: config.openshift.io/v1
kind: Console
metadata:
  name: cluster
  annotations:
    # If ArgoCD stops managing this resource, it should not delete it (it's required for a functional cluster)
    argocd.argoproj.io/sync-options: Prune=false
spec:
{{ .Values.consoleConfig | toYaml | indent 2 }}
{{ end }}